// ファイル名: Ch04/newDelete.cc 
#include <iostream> 
using namespace std; 
 
string* newedObject() { 
  string* pMsg = new string("Hello !"); 
  return pMsg; 
} 
 
int main() { 
  string* pObj = newedObject(); 
  cout << *pObj << endl; 
  delete pObj; 
  return 0;  
} 
